Package com.pixelmed.network

# Class CFindResponseCommandMessage

java.lang.Object
com.pixelmed.network.CFindResponseCommandMessage

public class CFindResponseCommandMessage extends Object

## Constructor Summary

Constructors
Constructor
Description
`CFindResponseCommandMessage(AttributeList list)`
`CFindResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent)`
`CFindResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, AttributeTagAttribute offendingElement, String errorComment)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAffectedSOPClassUID()`
`byte[]`
`getBytes()`
`int`
`getCommandField()`
`String`
`getErrorComment()`
`int`
`getGroupLength()`
`int`
`getMessageIDBeingRespondedTo()`
`AttributeTagAttribute`
`getOffendingElement()`
`int`
`getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CFindResponseCommandMessage

public CFindResponseCommandMessage(AttributeList list) throws DicomException, IOException

Parameters:
  `list` -
Throws:
  `IOException`
  `DicomException`

### CFindResponseCommandMessage

public CFindResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent) throws DicomException, IOException

Parameters:
  `affectedSOPClassUID` -
  `messageIDBeingRespondedTo` -
  `status` -
  `dataSetPresent` -
Throws:
  `IOException`
  `DicomException`

### CFindResponseCommandMessage

public CFindResponseCommandMessage(String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, AttributeTagAttribute offendingElement, String errorComment) throws DicomException, IOException

Parameters:
  `affectedSOPClassUID` -
  `messageIDBeingRespondedTo` -
  `status` -
  `dataSetPresent` -
  `offendingElement` -
  `errorComment` -
Throws:
  `IOException`
  `DicomException`

## Method Details

### getGroupLength

public int getGroupLength()

### getAffectedSOPClassUID

public String getAffectedSOPClassUID()

### getCommandField

public int getCommandField()

### getMessageIDBeingRespondedTo

public int getMessageIDBeingRespondedTo()

### getStatus

public int getStatus()

### getOffendingElement

public AttributeTagAttribute getOffendingElement()

### getErrorComment

public String getErrorComment()

### getBytes

public byte[] getBytes()